Antecipações
Listar antecipações
Retorna lista de antecipações com filtros.
Retorna lista de antecipações com filtros.
basicAuth In: header
application/json
curl -X GET "https://example.com/v1/anticipations"application/json
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
Filtrar por status
Tipo de antecipação
Data inicial
Data final
Número da página (mínimo: 1, padrão: 1)
Itens por página (1-100, padrão: 20)
{
"success": true,
"message": "string",
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",
"status": "pending",
"anticipation_type": "spot",
"total_gross_amount": 0,
"total_fee_amount": 0,
"total_net_amount": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"perPage": 0,
"total": 0,
"totalPages": 0
}
}{
"success": false,
"message": "string",
"error": "string"
}